# UniTAP.dev.ports.modules.link.dp.link_tx_status

class LinkDisplayPortStatusSource:

Class `LinkDisplayPortStatusSource` describes information about DP link status. Contains following info:

- MST stream count `mst_stream_count`.
- Link encoding `link_encoding`.
- Link rate `link_rate`.
- Lane count `lane_count`.
- State of HPD `hpd_asserted`.
- State of framing `enhanced_framing`.
- State of scrambling `scrambling_enabled`.
- State of DSC `dsc_enabled`
- State of FEC `fec_enabled`.
- State of MST `mst_enabled`.
- State of SSC `ssc_enabled`.
- State of ILA `ila`.
- State of EQ ILA `eq_ila`.
- State of CDS ILA `cds_ila`.
- State of LT fail `lt_fail`.
- State of selected lane `lane`.
- State of VCP `vcp`.
- State of selected stream `stream`.
- Send ACT command `send_act`.

LinkDisplayPortStatusSource( port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO, caps: UniTAP.dev.ports.modules.link.dp.private_link_tx_types.DPTXHWCaps, dpcd: UniTAP.dev.ports.modules.dpcd.dpcd.DPCDRegisters)
mst_stream_count: int

Returns current mst stream count.

###### Returns:

> object of int type

link_encoding: UniTAP.dev.ports.modules.link.dp.link_status_common.DpLinkEncoding

Returns current link encoding `DpLinkEncoding`.

###### Returns:

> object of DpLinkEncoding type

link_rate: float

Returns current link rate.

###### Returns:

> object of float type

lane_count: int

Returns current lane count.

###### Returns:

> object of int type

hpd_asserted: bool

Returns current state of HPD asserted.

###### Returns:

> object of bool type

available_link_rate: float

Returns available link rate.

###### Returns:

> object of float type

def lane( self, lane_number: int) -> UniTAP.dev.ports.modules.link.dp.link_status_common.LaneStatus:

Returns current status of selected lane `LaneStatus`.

###### Arguments:

- lane_number (int) - number of selected lane

###### Returns:

> object of LaneStatus type

dsc_enabled: Optional[bool]

Returns current state of DSC (enabled or disabled). None if DSC does not support.

###### Returns:

> object of bool or None type

mst_enabled: Optional[bool]

Returns current state of MST (enabled or disabled). None if MST does not support.

###### Returns:

> object of bool or None type

ssc_enabled: Optional[bool]

Returns current state of SSC (enabled or disabled). None if SSC does not support.

###### Returns:

> object of bool or None type

fec_enabled: Optional[bool]

Returns current state of FEC (enabled or disabled). None if FEC does not support.

###### Returns:

> object of bool or None type

enhanced_framing: bool

Returns current state of enhanced framing (enabled or disabled).

###### Returns:

> object of bool type

scrambling_enabled: bool

Returns current state of scrambling (enabled or disabled).

###### Returns:

> object of bool type

lttpr_active: Optional[bool]

Returns current state of LTTPR (enabled or disabled). None if LTTPR does not support.

###### Returns:

> object of bool or None type

ila: bool

Returns current ILA state.

###### Returns:

> object of bool type

eq_ila: bool

Returns current EQ ILA state.

###### Returns:

> object of bool type

cds_ila: bool

Returns current CDS ILA state.

###### Returns:

> object of bool type

lt_fail: bool

Returns current LT fail state.

###### Returns:

> object of bool type

def stream( self, stream_index: int) -> UniTAP.dev.ports.modules.link.dp.link_status_common.StreamStatusDP:

Returns status of selected stream `StreamStatusDP`.

###### Arguments:

- stream_index (int) - number of selected number

###### Returns:

> object of `StreamStatusDP` type

def vcp( self, stream_index: int = 0) -> Optional[ UniTAP.dev.ports.modules.link.dp.link_status_common.VCPStatus ]:

Returns VCP status of selected stream `VCPStatus`.

###### Arguments:

- stream_index (int) - number of selected number

###### Returns:

> object of `VCPStatus` | None type

def send_act(self):

Send ACT command.